=== debian/control ===
Source: ros-humble-lely-core-libraries
Section: misc
Priority: optional
Maintainer: Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), autoconf, automake, git, libltdl-dev, libtool, libtool-bin, python3-empy, ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-lely-core-libraries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-humble-ros-workspace
Description: ROS wrapper for lely-core-libraries
